Subject: Re: [PATCH] allow OFS_DELTA objects during a push

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 4 May 2009 15:11:29 -0700

Nicolas Pitre <[email-masked]> wrote:
> The fetching of OFS_DELTA objects has been negotiated between both peers 
> since git version 1.4.4.  However, this was missing from the push side 
> where every OFS_DELTA objects were always converted to REF_DELTA objects 
> causing an increase in transferred data.

Folks, this may have broken git push for me.

I'm trying to debug it right now, but something in next between
46488d2 and 03e1664 has caused "git push" to not create a pack
file, sending the remote peer 0 objects, when really we should have
transmitted objects, e.g. in the case I just looked at, we should
have sent 11.

FWIW, I'm currently blaming this change as its the only thing to
touch builtin-send-pack.c in that commit range.  :-)

/me goes off to debug this further...
 
>  builtin-receive-pack.c |   22 +++++++++++++++-------
>  builtin-send-pack.c    |    8 +++++++-
>  send-pack.h            |    1 +
>  3 files changed, 23 insertions(+), 8 deletions(-)

-- 
Shawn.